/**
*	@file TGATexture.h
*		@version 	1.00
*		@date		2008/09/27
*
*	@brief TGAeNX`̓ǂݍ
*
*	@author Muraki Tatunori 
*/

#ifndef _TGA_TEXTURE_H_
#define _TGA_TEXTURE_H_

#include <map>
#include <string>

/**
*	@class TGATexture
*	@brief TGAeNX`̓ǂݍ
**/
class TGATexture {
private:
	//! eNX`ǗReiNX
	typedef std::map< unsigned int, unsigned int > TextureID;

	//! eNX`ǗRei
	static TextureID m_Textures;
public:
	/**
	*	@brief TGAeNX`̓ǂݍ
	*	@param id Ǘhc
	*	@param filename t@C
	*	@version 1.00
	*/
	static bool load( unsigned int id, const std::string& filename );

	/**
	*	@brief eNX`̃oCh
	*	@param id Ǘhc
	*	@version 1.00
	*/
	static void bind( unsigned int id );

	/**
	*	@brief eNX`̊J
	*	@param id Ǘhc
	*	@version 1.00
	*/
	static void release( unsigned int id );

	/**
	*	@brief eNX`̎擾
	*	@param id Ǘhc
	*	@version 1.00
	*/
	static unsigned int getID( unsigned int id );

};

#endif

/*	End of File	*/